Table of Contents

## Name

XtAddCallback, XtAddCallbacks, XtRemoveCallback, XtRemoveCallbacks, XtRemoveAllCallbacks - add and remove callback procedures

## Syntax

void XtAddCallback(w, callback_name, callback, client_data)
Widget w;
String callback_name;
XtCallbackProc callback;
XtPointer client_data;

void XtAddCallbacks(w, callback_name, callbacks)
Widget w;
String callback_name;
XtCallbackList callbacks;

void XtRemoveCallback(w, callback_name, callback, client_data)
Widget w;
String callback_name;
XtCallbackProc callback;
XtPointer client_data;

void XtRemoveCallbacks(w, callback_name, callbacks)
Widget w;
String callback_name;
XtCallbackList callbacks;

void XtRemoveAllCallbacks(w, callback_name)
Widget w;
String callback_name;

## Arguments

callback
  Specifies the callback procedureCb.
callbacks
  Specifies the null-terminated list of callback procedures and corresponding client data.
callback_name
  Specifies the callback list to which the procedure is to be appended or deleted. or the client data to match on the registered callback procedures
client_data
  Specifies the argument that is to be passed to the specified procedure when it is invoked by XtCallbacks or NULL,.
w
  Specifies the widget.

## Description

The XtAddCallback function adds the specified callback procedure to the specified widget's callback list.

The XtAddCallbacks add the specified list of callbacks to the specified widget's callback list.

The XtRemoveCallback function removes a callback only if both the procedure and the client data match.

The XtRemoveCallbacks function removes the specified callback procedures from the specified widget's callback list.

The XtRemoveAllCallbacks function removes all the callback procedures from the specified widget's callback list.

## See Also

XtCallCallbacks(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also